Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problemi nell'installazione di X
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Mon Sep 12, 2011 4:04 pm    Post subject: Problemi nell'installazione di X Reply with quote

Ciao, da una settimana sono passato da slackware a gentoo e devo dire che (seppur i mille smanettamenti) ne sono molto soddisfato. Da qualche giorno ho un problema che mi scoccia che non riesco a risolvere.
Sto cerca di installare x facendo riferimento alla guida che c'e su gentoo.org.
Per ora ho modificato correttamente il kernel come specificato e ho modificato anche make.conf.
Il mio problema viene quando devo dare il comando
Code:
/etc/init.d/hald start
in quanto nella cartella init.d hald non vi e. Ho gi`a provato a guardare in giro per il forum se vi e stato gi`a qualcuno che ha avuto lo stesso problema e in effetti l'ho trovato qui: https://forums.gentoo.org/viewtopic-t-811651-start-0.html . Seppur non sono una cima in inglese ho colto che il tizio ha risolto passando a un profilo desktop, dando il comando emerge uDNav world e infine revdep-rebuild.
Provo a fare lo stesso anchio. risultato: nessuno, il file hald ancora non e presente in /etc/init.d/ .
Qualcuno sa aiutarmi?????


Last edited by NicoMetal on Tue Sep 13, 2011 9:35 am; edited 1 time in total
Back to top
View user's profile Send private message
k01
Arch/Herd Tester
Arch/Herd Tester


Joined: 13 Feb 2008
Posts: 617
Location: Milano

PostPosted: Mon Sep 12, 2011 4:43 pm    Post subject: Reply with quote

hal è deprecato, non è più necessario nè dovrebbe essere installato su una nuova installazione, quindi mi sa che la guida che stai seguendo è un po' vecchiotta
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Mon Sep 12, 2011 5:03 pm    Post subject: Reply with quote

La guida che sto seguendo e' questa:
www.gentoo.org/doc/it/xorg-config.xml . Se non va piu' bene mi sapete dare consiglio voi su cosa devo fare per installare xorg?
Back to top
View user's profile Send private message
k01
Arch/Herd Tester
Arch/Herd Tester


Joined: 13 Feb 2008
Posts: 617
Location: Milano

PostPosted: Mon Sep 12, 2011 6:08 pm    Post subject: Reply with quote

di lato c'è appunto scritto:

Quote:
Aggiornato il 25 ottobre 2010

La versione originale di questo documento è più recente ed è stata aggiornata il 2 settembre 2011


quindi segui l'originale in inglese: http://www.gentoo.org/doc/en/xorg-config.xml
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Tue Sep 13, 2011 9:33 am    Post subject: Reply with quote

Ooook, grzie :).
Ora pero' mi e' sorto un altro problema, sempre nell'installazione di X, che, magari, posto qua cambiando il nome del topic in modo tale da non aprirne un altro...
Comunque... seguendo la guida inglese postatami arrivo a dare i comandi "echo ...." e "emerge xorg-server", poi reinizializzo le variabili d'ambiente e, infine, do finalmente "startx".
In effetti X inizia a caricarsi (da quanto leggo dall'output in schermata) ma poi, ad un certo punto, mi escono 4 messaggi d'errore (EE) e poi mi si chiude.
I messaggi sono:
Failed to load module "ati" (module does not exist, 0)
Altri due messaggi che differiscono solo nel fatto che tra le virgole al posto di ati contengono rispettivamente le parole "vesa" e "fbdev".
Infine un messaggio diverso che dice:
no drivers available.

X si chiude da solo dando inoltre questi altri messaggi:
Fatal server error:
no screens found

(poi mi dice di consultare il sito ecc.)
e infine:
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit:server error
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1514
Location: Cosenza, Italy

PostPosted: Tue Sep 13, 2011 11:39 am    Post subject: Reply with quote

un thread, un problema. Leggi anche le linee guida
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Tue Sep 13, 2011 11:57 am    Post subject: Reply with quote

ago wrote:
un thread, un problema. Leggi anche le linee guida

Si infatti ho dato al thread un titolo tale che il problema fosse uno unico:l'installazione di X. (Questo penso che vi aiuti anche in modo tale che se ho continui problemi con questa installazione non continuo ad aprirne di nuovi!)
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue Sep 13, 2011 1:23 pm    Post subject: Reply with quote

Essendo tu nuovo, non ti farò la ramanzina, ma se cercavi sul forum.... :roll: la risposta c'era già.


allora...

posta il tuo /etc/make.conf
Sono quasi sicuro tu non abbia abilitato alcunchè nella variabile
Code:
VIDEO_CARDS=


io ho una scheda video ATI ed utilizzo i driver closed sources (che funzionano molto bene, ma non supportano le schede vecchie vecchie, quindi dipende da cosa hai tu)
il problema è semplicemente questo.
dicci che scheda video hai
Code:
lspci

e io ti dirò come riempire quella variabile là.
_________________
Darkman
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Tue Sep 13, 2011 2:29 pm    Post subject: Reply with quote

Ho cercato, però probabilmente non nel punto post giusto... -.-
Comunque, io in make.conf a "VIDEO_CARDS= " ho messo "radeon" mentre se ti può essere utile a "INPUT_DEVICES=" ho messo solo "evdev" (il touchpad non ce l'ho quindi ho evitato di mettere anche synaptics come consigliava la guida).
Per quanto riguarda la mia scheda video ho un "Ati radeon x550 silent" .

Lspci riferito alla scheda video:

06:00.0 VGA compatible controller: ATI Technologies Inc RV370 [Sapphire X550 Silent]
06:00.1 Display controller: ATI Technologies Inc RV370 secondary [Sapphire X550 Silent]
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue Sep 13, 2011 3:43 pm    Post subject: Reply with quote

le varie voci che possono interessarti per VIDEO_DRIVERS sono: (le ho scritte in maiuscolo solo per metterle in evidenza)

RADEONHD ti carica il driver radeon che non è il driver ATI. è un driver open che però non è più sviluppato da più di un anno e non è mai, secondo me, arrivato a maturazione.
ATI (nome del driver radeon) è il driver open. supporta le schede vecchie, il 3d non funziona molto bene e tendenzialmente è lento (o almeno sono queste le mie esperienze).
FGLRX è il driver closed-sources. funziona da dio sulle schede Rxxx. non funziona sulle schede più vecchie.

--------
nota: ho appena notato che forse ti ho scritto una stupidaggine. una volta c'erano questi tre driver. ora pare che il driver radeonhd non sia più in portage. dubito quindi che tu l'abbia installato. mumble mumble (io uso fglrx)

il fatto che tu abbia messo radeon allora va bene.

posta il tuo xorg.conf
il pacchetto xf86-video-ati ce lo hai installato?
--------

http://www.gentoo.org/doc/it/ati-faq.xml

quando poi ricompilerai con un bel
Code:
emerge -uDN world

(se non world, almeno xorg-server)

ora dovrebbe andare.
se non va, posta gli errori che vedi così:
Code:
cat /var/log/Xorg.0.log | grep EE
cat /var/log/Xorg.0.log | grep WW



se vuoi il 3d abilitato dei abilitare la roba dentro al kernel, ricordatelo.
http://www.gentoo.org/doc/it/dri-howto.xml
_________________
Darkman
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Tue Sep 13, 2011 5:57 pm    Post subject: Reply with quote

selezionare radeon e basta è per usare kms, comunque bisogna selezionare gallium per farlo andare ed includere i blob nel kernel (va bene, basta non scordarsi di usare eselect contrariamente a quanto indicato nella guida e per tutti i driver ati non solo per quello che usi) ma se hasi un monitor vecchiotto ti tocca adattare la patch che ho postato qui.
Se non mi sbaglio dovresti usare sempre R600_rlc.bin

Lo so che è una risposta sciatta... :oops:
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Thu Sep 15, 2011 11:00 am    Post subject: Reply with quote

Allora ho risolto parzialmente il problema anche se non del tutto.
I messaggi di errore (EE), infatti, sono spariti. Per far cio' ho prima di tutto aggiunto a VIDEO_CARDS in make.conf "fglrx" lasciano pero' lo stesso anche "radeon".
Dopo di che' ho installato xf86-video-ati (che non era installato) e con lui anche xf86-video-fbdev, xf86-video-vesa, xf86-input-evdev (tutti pacchetti che ho notato che non erano installati).
Infine ho dato un "emerge -uDN world" e ho riavviato il computer.
Ora quello che mi esce come risposta che penso sia fonte di informazioni per capire cosa c'e' che non va e':
xaut: file /home/nicola/.serverauth.13758 does not exist
/etc/X11/xinit/xinitrc: line 60: xclock: command not found
(stesso path di prima): line59: twm: command not found
(stesso path): line 61: xterm: command not found
(stesso path): line 63: exec: xterm: not found.
xinit: connection to X server lost
waiting for X server to shut down.

Inoltre lanciando il comando "cat /var/log/Xorg.0.log | grep EE" non escono errori ma con WW esce:

Serie di warning che dicono tutti:
the directory (NOME DELLA DIRECTORY)
does not exist.
Il path di ognuna delle directory e': /usr/share/fonts. I loro nomi invece sono: misc, TTF, OTF, Type1, 100dpi, 75dpi.

Poi altri tre messaggi di warning che dicono:

- Open ACPI failed (/var/run/acpid.socket) (no such file or directory)

- Falling back to old probe method for vesa

- Uguale a prima ma al posto di "vesa" vi e' "fbdev".

Ps. vi avrei postato pure il log file ma sto usando gentoo appunto in modalita' non-grafica con links (slackware e' su un altro hard disk quindi non potrei copiaverlo attraverso lui) e quindi non posso copiare nulla, o almeno, non ne sono capace se e' possibile...
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Thu Sep 15, 2011 12:22 pm    Post subject: Reply with quote

Allo stato attuale, con la tua scheda, o usi fglrx o usi kms. Non puoi averli tutti e due installati e sperare che vada tutto bene (premesso che a run time l'uno esclude l'altro).

Se non ti serve il suspend, non ti serve grafica spinta e passi spesso da X a console kms è meglio, se ti serve regolazione fine dell'impegno dellla gpu, supporto multiscreen e quello che ho già detto che kms non fa devi usare fglrx.

Fai la tua scelta e ti muovi di conseguenza. Nota che con kms in genere /etc/xorg.conf non è necessario (al massimo la sezione fonts, ed anche li vedi se non vuoi installare qualcosa) con fglrx se non erro è obbligatorio.

Mi auguro che hai installato i pacchetti con emerge -1 altrimenti rimuovili da world (l'nstallazione di evdev è una dipendenza di quello che indichi in INPUT_DEVICES). Rileggi la guida per xorg 1.7 quella per il passaggio a 1.8 e quella per il passaggio a 1.9 se vuoi avere informazioni valide.

Gli errori vogliono dire che non hai alcun DE o WM installati, tutto qui (anche se mi fai temere che non hai usato correttamente eselect profile). Anche qui scimmia o lucertola? Li potresti benissimo tenere entrambi ma con quello che occupano e con i tempi biblici di compilazione dei loro metapacchetti... meglio di no.

hai lanciato emerge xorg-x11 vero?
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2380
Location: イタリアのロディで

PostPosted: Thu Sep 15, 2011 12:31 pm    Post subject: Reply with quote

Allora, è un po' che ho installato Gentoo, ma nemmeno poi molto.

Modificati VIDEO_DRIVERS e INPUT_DEVICES, va dato
Code:
emerge -uDN world --with-bdeps=y
il quale deve installare anche i drivers indicati dalle variabili impostate (ati-drivers, xf86-video-ati e evdev nel tuo caso). Suggerirei però di scegliere un solo driver video dipendentemente da quale dei due supporta meglio la tua scheda. (PS. benvenuto nel girone dei dannATI).
Immagino che hai installato X con
Code:
emerge xorg-server
il quale non ti installa nessun "Window Manager".
O installi twm/xterm o direttamente un "Desktop Environment" tipo KDE o gnome (ma esistono molte altre alternative).

X cerca di far avviare un WM che non trova, e non è necessario installarli tutti quelli che ti propone. Come non è necessario installare tutti i driver video e input che xorg cerca, ma solo quelli che effettivamente servono al tuo sistema.
Impostati questi driver in make.conf e dato l'aggiornamento col comando suddetto, tutto il necessario è installato.

Hai sbagliato a emergere manualmente i driver, soprattutto se non hai dato l'opzione -1 (trattino UNO) che evita di sporcare il file world con pacchetti dipendenze di altri già presenti.

Una volta emerso un gestore di finestre, non dovresti più avere questi problemi.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Thu Sep 15, 2011 1:55 pm    Post subject: Reply with quote

Rispondendo alla domanda se ho installato xorg-x11: no, non l'ho installato. Nella guida per l'installazione di x c'e' scritto che installando xorg-x11 vengono installati anche dei pacchetti che un utente spesso manco utilizza e quindi ho evitato. Voglio tenere il sistema il piu' pulito possibile e le cose preferisco installarmele da solo (e' il motivo per cui sono passato da slackware a gentoo: per portage e sopratutto perche' obbliga a ad una maggiore personalizzazione).
Per il WM pensavo di installare fluxbox che uso sulla slack da qualche tempo e mi trovo moolto bene.
Comunque cercando di capire bene quello che dovrei fare ora:
elimino con "emerge -unmerge"
i driver fbdev, vesa, ati, evdev; Modifico VIDEO_DRIVERS mettendo solo "fglrx" (e' quello che piu' si addice all'uso che voglio fare della scheda video).
Dopo di che modifico xorg.conf (anche se non so come, ora me lo vado a cercare in giro, se c'e' qualcuno pero' che sa dirmelo mi fa risparmiare un po' di tempo); lancio il comando emerge -uDN world --with-bdeps=y && emerge -c && revdep-rebuild (--with-bdeps=y mi installa lui i driver che mi servono in base a quello che ho messo in INPUT_DEVICE e VIDEO_DRIVERS?).
Dopo di che se non c'e' alcun altro errore posso finalmente dedicarmi all'installazione di fluxbox.
Tutto giusto?
E una domanda di curiosita'l'opzione -1 ad emerge che vuol dire? Ho cercato con man ma non la trovo...
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2380
Location: イタリアのロディで

PostPosted: Thu Sep 15, 2011 2:50 pm    Post subject: Reply with quote

Code:
emerge xorg-server
NON è come
Code:
emerge x11-xorg
e installa il minimo indispensabile (dipendentemente dalle USE utilizzate).
Non fare disastri.
Dai il comando
Code:
emerge xorg-server
dopo aver impostato le variabili per input e video.
Elimina le righe dei pacchetti che hai installato manualmente (l'opzione -1 serve a ri-emergere i pacchetti delle dipendenze senza sporcare il file world) da
Code:
/var/lib/portage/world
e poi disinstalli i suddetti pacchetti ormai inutili con
Code:
emerge --depclean
.
Scanso equivoci dai anche un
Code:
revdep-rebuild -i -- -a
per vedere se tutto è a posto.

Il file xorg.conf ora non ti serve (e forse non ti servirà manco dopo).
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Thu Sep 15, 2011 4:15 pm    Post subject: Reply with quote

Allora ho modificato VIDEO_CARDS con solo fglrx, cancellato e reinstallato xorg-server, eliminato da /var/lib/portage/world le robe installate, dato emerge -c, emerge -uDN world --with-bdeps=y, emerge -c, revdep-rebuild -i -- -a.
Riusltato: quando do startx mi ritornano gli (EE) Failed to load module "nomemodulo" con ati, vesa fbdeb ed (EE) No drivers available.
Inoltre se do emerge -1 xf86-video-ati non me lo installa dando:
[ebuild r ] x11-libs/libdrm-(versione) VIDEO_CARDS="radeon"
[ebuild n ] x11-drivers/xf86-video-ati-versione

The following USE are necessary to proceed:
#required by x11-drivers/xf86-video-ati-versione, required byxf86-video-ati (argument) >=x11-libs/libdrm--versione video_cards_radeon

NOTE: this autounmask behavior can be disabled by setting EMERGE_DAFEULT_OPTS="--autounmask=n" in make.conf.
Use --autounmask-write to write change to config files (honoring CONFIG_PROTECT).

Da quanto ho capito devo rimettere in VIDEO_CARDS radeon ma voi non mi avete mica detto di lasciare solo fglrx?
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2380
Location: イタリアのロディで

PostPosted: Thu Sep 15, 2011 4:30 pm    Post subject: Reply with quote

fglrx è la flag per installare ati-drivers.

xf86-video-ati è chiamato dalla flag radeon

Se hai già fglrx attiva, xf86-video-ati è inutile.

Io non ho MAI scritto di dare
Code:
emerge -1 xf86-video-ati

Ora passa all'installazione di fluxbox.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Thu Sep 15, 2011 4:34 pm    Post subject: Reply with quote

anche se mi da quei messaggi d'errore?
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2380
Location: イタリアのロディで

PostPosted: Thu Sep 15, 2011 4:41 pm    Post subject: Reply with quote

Dimenticavo una cosa:
facci vedere l'output di
Code:
eselect opengl list

_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Thu Sep 15, 2011 6:06 pm    Post subject: Reply with quote

available OpenGl implamentations:
[1] ati
[2] xorg-x11 *

(ma io ho installato xorg-server! centra qualcosa?)
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2380
Location: イタリアのロディで

PostPosted: Thu Sep 15, 2011 7:14 pm    Post subject: Reply with quote

Non preoccuparti.
Code:
eselect openglset 1
per passare agli ati-drivers.
Io a questo punto ho sempre dato
Code:
emerge kdebase-startkde kdm

e non ho mai badato agli errori che tu descrivi più sopra.
Non conosco fluxbox ma non dovrebbe essere molto più complesso.

PS. Ricordati di creare l'utente user e assegnargli una password, come da guida.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Fri Sep 16, 2011 6:58 am    Post subject: Reply with quote

ho dato "eselect opengl set 1" e poi dato "emerge fluxbox xlockmore eterm". Poi ho dato un "echo "exec startfluxbox" > ~/./xinitrc" e infine "emerge commn-styles common-styles-extra fluxbox-styles-fluxmod gentoo-artwork"

Stessi identici errori di prima... anzi in piu' quegli errori ora compaiono anche nel log file con l'aggiunta di anche dri e dri2 tra i moduli che non riesce a caricare perche' non trova...
Inoltre ho notato di non avere in /etc la cartella X11 e quindi neanche xorg.conf...

Ma non e' che per utilizzare fglrx io devo modificare qualcosa nel kernel in particolare?O che per un ati radeon x550 sapphire silent non vada bene? Perchè io ho letto le caratteristiche degli ati-drivers e mi sembra dalla descrizione che viene fatta da "emerge -s" che vadano bene solo per le radeon hd ...
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Fri Sep 16, 2011 11:47 am    Post subject: Reply with quote

la configurazione del kernel (a meno che non usi quella ultramodulare di default da genkernel) è diversa tra fglrx e kms anche se per fglrx dovrebbe bastarti solo disabiltare kms (opzione nomodeset) e ripeto che le librerie mesa dovrebbero avere un diverso assetto. per provare se funziona potrà anche andare una configurazione generica ma per un uso definito la mia esperienza mo dice che è meglio avere una conf del kernel dedicata e quanto meno modulare è possibile per la sezione hardware.
Inutile sottolinare che genkernel --menuconfig aiuta e che genkernel, come ogni applicativo, va configurato, non basta avviarlo e sperare che funzioni.

Non è che il modulo del kernel per fglrx non è stato caricato? lsmod aiuta ed anche il wiki benchè datato. Vedi anche il solito problema del driver agpgart (personalmente fino a che ho usato fglrx ho sempre preferito quello del kernel).

Dopo aver cambiato le impostazioni di video_cards e simili il depclean e l'update (emerge -DN) del sistema sono obbligatori e non devono esserci voci balorde in world (per inciso se hai ati-drivers in world e VIDEO_CARDS="radeon" è la stessa cosa che avere VIDEO_CARDS="radeon fglrx").

Consiglio: calmati e non installare a casaccio, non sei su una distribuzione binaria, emerge non fa altro che chiamare un automake che si regola in base a quello che trova sul sistema in alcuni casi.
# eselect news read:
2011-08-28-mesa-r600g
  Title                     Mesa r600 driver now defaults to gallium
  Author                    Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  Posted                    2011-08-28
  Revision                  1

This news item is relevant to you only if you have a Radeon graphics
chipset and use the free/open source driver.

The r600 driver that provides 3D acceleration for Radeon HD 2400 and
later cards comes in the "classic" and "gallium" variants. The gallium
driver is based on the new Gallium3D infrastructure and was chosen as
the default driver for media-libs/mesa-7.11.

Existing users will not be switched automatically. To switch to the
r600 gallium driver, use the following command:

    eselect mesa set r600 gallium

Gallium3D requires kernel modesetting (KMS). If your system is not yet
configured for KMS, consult the X Server Configuration HOWTO for
instructions prior to switching:

    http://www.gentoo.org/doc/en/xorg-config.xml
dato che usi fglrx e la scheda è vecchia devi usare classic
# eselect mesa list:
64bit i915 (Intel 915, 945)
64bit i965 (Intel 965, G/Q3x, G/Q4x)
64bit r300 (Radeon R300-R500)
  [1]   classic
  [2]   gallium *
64bit r600 (Radeon R600-R700, Evergreen, Northern Islands)
  [1]   classic
  [2]   gallium *
64bit sw (Software renderer)
  [1]   classic
  [2]   gallium *
32bit i915 (Intel 915, 945)
  [1]   classic *
  [2]   gallium
32bit i965 (Intel 965, G/Q3x, G/Q4x)
  [1]   classic *
  [2]   gallium
32bit r300 (Radeon R300-R500)
  [1]   classic
  [2]   gallium *
32bit r600 (Radeon R600-R700, Evergreen, Northern Islands)
  [1]   classic
  [2]   gallium *
32bit sw (Software renderer)
  [1]   classic
  [2]   gallium *
ovvero il contrario di quello che ho io.
Leggi
http://www.gentoo.org/doc/it/xorg-config.xml
http://www.gentoo.org/proj/it/desktop/x/x11/xorg-server-1.6-upgrade-guide.xml
http://www.gentoo.org/proj/it/desktop/x/x11/xorg-server-1.8-upgrade-guide.xml
http://www.gentoo.org/proj/en/desktop/x/x11/xorg-server-1.9-upgrade-guide.xml
http://www.gentoo.org/doc/it/ati-faq.xml
http://www.gentoo.org/doc/it/utf-8.xml
http://www.gentoo.org/doc/it/guide-localization.xml
http://en.gentoo-wiki.com/wiki/Graphics_drivers
http://en.gentoo-wiki.com/wiki/Fglrx
http://www.gentoo.org/doc/it/fluxbox-config.xml
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
NicoMetal
n00b
n00b


Joined: 29 Aug 2011
Posts: 17

PostPosted: Sat Sep 17, 2011 4:55 pm    Post subject: Reply with quote

Intanto per disperazione ho installato tutto utilizzando i VIDEO_CARDS=radeon. E sta andando bene anche se io volevo fglrx e quindi e' una cosa provvisoria.
Prima di andare avanti volevo sapere ma se modifico le varie cose tipo video cards con fglrx e poi do un update va bene lo stesso ho devo prima cancellare fluxbox e i programmi installati per ora (tipo firefox), X e poi fare le modifiche?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum